New Game: Imperium

Bug #1475745 reported by Marisa Giancarla on 2015-07-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
GetDeb Software Portal
Medium
Christoph Korn

Bug Description

I would like my game added. Its name is Imperium and you can see more info on it at https://EmpireDirectory.net

Christoph Korn (c-korn) wrote :

There are lots of repositories here:
https://github.com/fstltna?tab=repositories

Which of these do need to be built?

Hi, for now the "imperium" and "impfe" repos would be nice...

Marisa

----
LinkedIn: http://www.linkedin.com/in/marisagiancarla
Opensim City: https://OpensimCity.org
Opensim Radio: http://radio.opensimcity.org:8188
Empire Directory: https://EmpireDirectory.net
Text Games List: http://empiredirectory.net/toplist/
Lugdunon City: https://LugdunonCity.org
Macro Files Directory: http://www.macrofiles.us
Patreon Campaign: https://www.patreon.com/fstltna
IndieDB: http://www.indiedb.com/company/pocketfiction-pocketgames4me

> On Aug 2, 2015, at 5:41 PM, Christoph Korn <email address hidden> wrote:
>
> There are lots of repositories here:
> https://github.com/fstltna?tab=repositories
>
> Which of these do need to be built?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1475745
>
> Title:
> New Game: Imperium
>
> Status in GetDeb Software Portal:
> New
>
> Bug description:
> I would like my game added. Its name is Imperium and you can see more
> info on it at https://EmpireDirectory.net
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/getdeb.net/+bug/1475745/+subscriptions

Christoph Korn (c-korn) wrote :

Starting from scratch.

Changed in getdeb.net:
assignee: nobody → Christoph Korn (c-korn)
importance: Undecided → Medium
status: New → In Progress
Christoph Korn (c-korn) wrote :

"Imperium uses "secret" codes (they are never displayed or entered) to
prevent users from "spoofing" the Imperium server into doing things it
would not normally allow them to do. The codes will be encrypted, if
possible, and the server will look at the (possibly) encrypted codes and
decide if the client is "known" before responding to it.

For this to work I must create a file called "impsec.h" which will
contain the codes that you wish to use. Note that only the first 8
characters will be used for each code."

This will be rather useless because I have to hardcode it in my build script and they are available public.

Marisa Giancarla (fstltna) wrote :

It doesn't matter that much as the client-server communication is on localhost only. Knowing the code would not allow any access unless they had a shell account on the server...

Marisa

----
LinkedIn: http://www.linkedin.com/in/marisagiancarla
Opensim City: https://OpensimCity.org
Opensim Radio: http://radio.opensimcity.org:8188
Empire Directory: https://EmpireDirectory.net
Text Games List: http://empiredirectory.net/toplist/
Lugdunon City: https://LugdunonCity.org
Macro Files Directory: http://www.macrofiles.us
Patreon Campaign: https://www.patreon.com/fstltna
IndieDB: http://www.indiedb.com/company/pocketfiction-pocketgames4me

> On Aug 3, 2015, at 7:15 AM, Christoph Korn <email address hidden> wrote:
>
> "Imperium uses "secret" codes (they are never displayed or entered) to
> prevent users from "spoofing" the Imperium server into doing things it
> would not normally allow them to do. The codes will be encrypted, if
> possible, and the server will look at the (possibly) encrypted codes and
> decide if the client is "known" before responding to it.
>
> For this to work I must create a file called "impsec.h" which will
> contain the codes that you wish to use. Note that only the first 8
> characters will be used for each code."
>
> This will be rather useless because I have to hardcode it in my build
> script and they are available public.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1475745
>
> Title:
> New Game: Imperium
>
> Status in GetDeb Software Portal:
> In Progress
>
> Bug description:
> I would like my game added. Its name is Imperium and you can see more
> info on it at https://EmpireDirectory.net
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/getdeb.net/+bug/1475745/+subscriptions

Christoph Korn (c-korn) wrote :

The compilation for imperium succeeded. There were some small build errors. Will send a pull request for those.

But don't know how to fix this error in ImpFE:
ImpFeGui.c:3:19: fatal error: forms.h: No such file or directory

Marisa Giancarla (fstltna) wrote :

You need the xforms library...

Marisa

----
LinkedIn: http://www.linkedin.com/in/marisagiancarla
Opensim City: https://OpensimCity.org
Opensim Radio: http://radio.opensimcity.org:8188
Empire Directory: https://EmpireDirectory.net
Text Games List: http://empiredirectory.net/toplist/
Lugdunon City: https://LugdunonCity.org
Macro Files Directory: http://www.macrofiles.us
Patreon Campaign: https://www.patreon.com/fstltna
IndieDB: http://www.indiedb.com/company/pocketfiction-pocketgames4me

> On Aug 3, 2015, at 10:29 AM, Christoph Korn <email address hidden> wrote:
>
> The compilation for imperium succeeded. There were some small build
> errors. Will send a pull request for those.
>
> But don't know how to fix this error in ImpFE:
> ImpFeGui.c:3:19: fatal error: forms.h: No such file or directory
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1475745
>
> Title:
> New Game: Imperium
>
> Status in GetDeb Software Portal:
> In Progress
>
> Bug description:
> I would like my game added. Its name is Imperium and you can see more
> info on it at https://EmpireDirectory.net
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/getdeb.net/+bug/1475745/+subscriptions

Christoph Korn (c-korn) wrote :

Ok, compilation suceeded.
But how can I join a game now?

http://i.imgur.com/AuFUDU0.png

Do I need to run a local server?
What are the ConImp and TelImp executables for?

Is the imperium package a dependency of the impfe package or are both standalone?

Marisa Giancarla (fstltna) wrote :

Go to the main server, enter your desired player name, say yes you want to create it then enter the password "add.me" and it will make it for you.

ConImp is a console client, TelImp is the daemon you run to accept incoming connections, by default on port 3458. Both are standalone. You can actually play with a plain telnet cluent but impfe has a lot of extra features.

I would suggest reading the doc files, especially the "hosting" file if you want to run a server of your own.

Thanks for your help...

Marisa

----
LinkedIn: http://www.linkedin.com/in/marisagiancarla
Opensim City: https://OpensimCity.org
Opensim Radio: http://radio.opensimcity.org:8188
Empire Directory: https://EmpireDirectory.net
Text Games List: http://empiredirectory.net/toplist/
Lugdunon City: https://LugdunonCity.org
Macro Files Directory: http://www.macrofiles.us
Patreon Campaign: https://www.patreon.com/fstltna
IndieDB: http://www.indiedb.com/company/pocketfiction-pocketgames4me

> On Aug 3, 2015, at 4:05 PM, Christoph Korn <email address hidden> wrote:
>
> Ok, compilation suceeded.
> But how can I join a game now?
>
> http://i.imgur.com/AuFUDU0.png
>
> Do I need to run a local server?
> What are the ConImp and TelImp executables for?
>
> Is the imperium package a dependency of the impfe package or are both
> standalone?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1475745
>
> Title:
> New Game: Imperium
>
> Status in GetDeb Software Portal:
> In Progress
>
> Bug description:
> I would like my game added. Its name is Imperium and you can see more
> info on it at https://EmpireDirectory.net
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/getdeb.net/+bug/1475745/+subscriptions

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers